Subject: [BEHAVE] General Comments draft-ietf-behave-ftp64-00

From: Reinaldo Penno <[email-masked]>
Date: Wed, 6 Jan 2010 07:37:46 -0500

Hello,

My general comments are the following:

1. The document says "informational" but the charter say "std".

2. Given this discrepancy I'm not how to interpret many may, should/not,
etc. They are mostly is small caps. Otherwise I would suggest a new revision
where normative wording is fixed so that correct interpretation (and a new
revision) can be made.

3. The document specifies how an ALG would handle many different cases but
not what is the expected (as in SHOULD) default behavior. SHOULD it
translate ESPV by default or not?

4. If one would assume that at the beginning of time a IPV6 only deployment
would start with a FTP64 ALG in the translator given there is no way to know
which IPv4 servers support what and you need connectivity; sometimes the
recommendation for client/servers and ALG seems conflicting.

Regards,

Reinaldo